let
  inherit (import ../helpers.nix) directoryImport;
  modules = directoryImport ./.;
in
{
  flake.nixosModules = {
    desktop = {
      imports = builtins.attrValues {
        inherit (modules)
          mullvad
          syncthing
          ollama
          hypr
          wayland
          xserver
          ;
      };
    };

    fallaryn = {
      imports = builtins.attrValues {
        inherit (modules)
          plasma
          sddm
          tablet
          ;
      };
    };

    laptop = {
      imports = builtins.attrValues {
        inherit (modules)
          gnome
          xserver
          ;
      };
    };

    server = {
      imports = builtins.attrValues {
        inherit (modules)
          acme
          caddy
          jellyfin
          logrotate
          mastodon
          minecraft
          ollama
          website
          postgresql
          samba
          vaultwarden
          forgejo
          ;
      };
    };

    sops = {
      imports = builtins.attrValues {
        inherit (modules)
          sops
          ;
      };
    };

    system = {
      imports = builtins.attrValues {
        inherit (modules)
          hardware
          programs
          ;
      };
    };

    core = {
      imports = builtins.attrValues {
        inherit (modules)
          core
          xserver
          ;
      };
    };
  };
}
